Bug 5753 - Package php-snmp has broken dep on php-libs
: Package php-snmp has broken dep on php-libs
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/php-snmp)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
: 5757 5758
:
  Show dependency tree
 
Reported: 2004-12-21 07:28 by
Modified: 2009-05-10 09:32 (History)


Attachments
Patch for normalize net-snmp-config output (617 bytes, patch)
2004-12-23 03:47, Dmitry Lebkov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-21 07:28:59
# apt-get dist-upgrade -o Debug::pkgProblemResolver=yes
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Подсчет обновлений... Starting
Starting 2
Investigating php-snmp
Package php-snmp has broken dep on php-libs
  Considering php-libs 20 as a solution to php-snmp 1
  Removing php-snmp rather than change php-libs
Investigating cacti
Package cacti has broken dep on php-snmp
  Considering php-snmp 1 as a solution to cacti 0
  Removing cacti rather than change php-snmp

...
Следующие пакеты будут УДАЛЕНЫ:
  cacti php-snmp
...
------- Comment #1 From 2004-12-21 14:41:03 -------
Этот пакет нельзя собкрать из-за ошибок в библиотеках на которых он
основывается.
------- Comment #2 From 2004-12-23 03:47:04 -------
Created an attachment (id=675) [details]
Patch for normalize net-snmp-config output

С этим патчем php-snmp собирается без проблем. Другое дело, что фиксить надо
#5757, но в качестве quick-fix, я думаю, подойдет.

Прикладывание патча в php-snmp.spec:

%prep
%setup -T -c
cp -pr %php_extsrcdir/%php_extension/* .
%patch0 -p1
------- Comment #3 From 2004-12-23 04:08:09 -------
(From update of attachment 675 [details])
>diff -ruN php-snmp-4.3.11.orig/config.m4 php-snmp-4.3.11/config.m4
>--- php-snmp-4.3.11.orig/config.m4	2004-12-23 10:37:02 +1000
>+++ php-snmp-4.3.11/config.m4	2004-12-23 10:38:32 +1000
>@@ -20,8 +20,8 @@
>   fi
> 
>   if test -x "$SNMP_CONFIG"; then
>-    SNMP_LIBS=`$SNMP_CONFIG --netsnmp-libs`
>-    SNMP_LIBS="$SNMP_LIBS `$SNMP_CONFIG --external-libs`"
>+    SNMP_LIBS=`$SNMP_CONFIG --netsnmp-libs|sed -r 's/ -lrpm| -lrpmio| -lwrap//g'`
>+    SNMP_LIBS="$SNMP_LIBS `$SNMP_CONFIG --external-libs|sed -r 's/ -lrpm| -lrpmio| -lwrap//g'`"
>     SNMP_PREFIX=`$SNMP_CONFIG --prefix`
> 
>     if test -n "$SNMP_LIBS" && test -n "$SNMP_PREFIX"; then
------- Comment #4 From 2004-12-23 14:45:42 -------
Это не quick-fix... это quick-HACK !
Тогда уж можно еще проще сделать:
SNMP_LIBS="-lnetsnmp -lcrypto -lm"

и не придумывать никаких sed-костылей ... к тому же если в libnet-snmp появится 
еще одна такая "нужная библиотека" (например -lqt3 :) ), то ваш костыль работать 
не будет.
Иными словами, вы предлагаете мне заниматься отслеживанием с чем слинкована  
библиотека libnet-snmp и проставлением правильных SNMP_LIBS. 
Я это решение поддерживать не смогу (не потому что не хочу, а просто не смогу 
отслеживать).
------- Comment #5 From 2005-01-14 16:00:40 -------
*** Bug 5876 has been marked as a duplicate of this bug. ***
------- Comment #6 From 2005-08-29 20:12:14 -------
этого пакета уже нет.
------- Comment #7 From 2005-09-16 06:39:22 -------
подхватил этот пакет с приложением соответствующего quick-hack'а. Сборка для
последего php отправлена в incoming/Sisyphus.